Summary:	A generic USB CCID (Chip/Smart Card Interface Devices) driver
Summary(de):	Ein generischer USB CCID (Chip/Smart Card Interface Device) Treiber
Name:		ccid
Version:	1.4.30
Release:	%mkrel 1
License:	GPLv2+ and LGPLv2+
Group:		System/Libraries
URL:		http://pcsclite.alioth.debian.org/
Source0:	https://alioth.debian.org/download.php/1474/ccid-%{version}.tar.xz
Patch0:		ccid-libtool_fixes.patch
BuildRequires:	flex
BuildRequires:	%{_lib}pcsclite-devel >= 1.6.5
BuildRequires:	libusb-devel
BuildRequires:	pkgconfig >= 0.9.0
BuildRequires:	libtool
Requires(post): pcsc-lite
Requires(postun): pcsc-lite
Requires:	pcsc-lite
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package provides a generic USB CCID (Chip/Smart Card Interface Devices)
driver.

%description -l de
Dieses Paket bietet einen generischen USB CCID (Chip/Smart Card Interface 
Device) Treiber

%prep

%setup -q 
%patch0 -p0

%build
autoreconf -fis

%configure2_5x \
    --enable-twinserial \
    --enable-udev

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# serial driver is installed separately
%makeinstall_std -C src install_ccidtwin

# conf file should be placed inside reader.conf.d
mv -f %{buildroot}%{_sysconfdir}/reader.conf.d/libccidtwin %{buildroot}%{_sysconfdir}/reader.conf.d/GemPCTwin-serial.conf

# udev
install -m 0644 -D src/92_pcscd_ccid.rules %{buildroot}/lib/udev/rules.d/92-pcscd-ccid.rules

rm -rf %{buildroot}%{_docdir}/*
rm -f readers/Makefile*
cp -f src/towitoko/README README.towitoko

#create empty folder
mkdir -p $RPM_BUILD_ROOT/var/run/pcscd


%post
/sbin/ldconfig
groupadd --system pcscd >/dev/null 2>&1
chgrp pcscd /var/run/pcscd
chmod g+w /var/run/pcscd

%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS INSTALL README COPYING
%doc readers contrib/Kobil_mIDentity_switch/README_Kobil_mIDentity_switch.txt
%doc README.towitoko
%config(noreplace) %{_sysconfdir}/reader.conf.d/*.conf
%config /lib/udev/rules.d/92-pcscd-ccid.rules
%{_libdir}/pcsc/drivers/ifd-ccid.bundle
%{_libdir}/pcsc/drivers/serial
%dir /var/run/pcscd


%changelog
* Fri Oct 12 2018 adrianomorselli <adrianomorselli> 1.4.30-1uplos2018
- update
